Skip to Content
The Makinari API repo now includes an MCP Server — connect your AI models directly. View on GitHub →
REST APIFinder

Contact Lookup

Endpoints

Find Work Emails

POST /api/finder/person_contacts_lookup/work_emails

Looks up work email addresses for a specific person.

Request Body:

  • person_id (string, optional): The ID of the person.
  • linkedin_public_identifier (string, optional): The LinkedIn public identifier.
  • do_contacts_enrichment (boolean, optional): Whether to perform contact enrichment (defaults to false).

Note: Requires either person_id or linkedin_public_identifier.

Find Personal Emails

POST /api/finder/person_contacts_lookup/personal_emails

Looks up personal email addresses for a specific person.

Request Body:

  • person_id (string, optional): The ID of the person.
  • linkedin_public_identifier (string, optional): The LinkedIn public identifier.

Note: Requires either person_id or linkedin_public_identifier.

Find Phone Numbers

POST /api/finder/person_contacts_lookup/phone_numbers

Looks up phone numbers for a specific person.

Request Body:

  • person_id (string, optional): The ID of the person.
  • linkedin_public_identifier (string, optional): The LinkedIn public identifier.

Note: Requires either person_id or linkedin_public_identifier.

Get Contact Details

POST /api/finder/person_contacts_lookup/details

Retrieves detailed information for a specific person.

Request Body:

  • person_id (string, optional): The ID of the person.
  • linkedin_public_identifier (string, optional): The LinkedIn public identifier.

Note: Requires either person_id or linkedin_public_identifier.

Last updated on